> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Stakes



## OpenAPI

````yaml /copper-open-api-public.json get /staking/pending-stakes
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /staking/pending-stakes:
    get:
      tags:
        - stake
      summary: Get Pending Stakes
      parameters:
        - description: Return stakes only for specific portfolio
          in: query
          name: portfolioId
          required: false
          schema:
            type: string
        - description: Filter by the staked currency
          in: query
          name: currency
          required: false
          schema:
            type: string
        - description: Filter by the main currency (blockchain network) for staking
          in: query
          name: mainCurrency
          required: false
          schema:
            type: string
        - description: Limit for pagination
          in: query
          name: limit
          required: false
          schema:
            default: '100'
            type: string
        - description: Offset for pagination
          in: query
          name: offset
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformPendingStakes'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    PlatformPendingStakes:
      properties:
        pendingStakes:
          description: List of pending stakes
          items:
            $ref: '#/components/schemas/PlatformPendingStake'
          type: array
      type: object
    PlatformPendingStake:
      properties:
        createdAt:
          description: Timestamp of stake creation
          type: string
        currency:
          description: Staked currency
          type: string
        depositTargetId:
          description: Unique identifier of the Deposit Target
          type: string
        mainCurrency:
          description: Main currency (blockchain network) of a stake
          type: string
        organizationId:
          description: Unique ID of the organisation
          type: string
        pendingStake:
          $ref: '#/components/schemas/PendingStake'
          type: object
        pendingStakeId:
          description: Unique identifier of the pending stake
          type: string
        portfolioId:
          description: Unique identifier of the portfolio, for which the stake was created
          type: string
        updatedAt:
          description: Timestamp of the latest stake update
          type: string
      type: object
    PendingStake:
      properties:
        canBeRebonded:
          description: >-
            For Substrate based. During UNBONDING status you can rebond this
            with REBOND_STAKE transaction
          type: boolean
        canBeUnstaked:
          description: For Substrate based. During BONDING status stake can be unbonded
          type: boolean
        canIncreaseStakeAmount:
          description: If the stake can be increased
          type: boolean
        originPool:
          $ref: '#/components/schemas/Pool'
          description: >-
            In case if CHANGING_VALIDATOR here we specify pools from which stake
            was moved
          type: object
        pendingAmount:
          description: Pending stake amount
          type: string
        pendingEndsAt:
          description: When pending operation will be finished
          type: string
        pendingStakeStatus:
          $ref: '#/components/schemas/PendingStakeStatus'
          description: >-
            The status of a pending stake. [See
            details](/enums/PendingStakeStatus)
        pool:
          $ref: '#/components/schemas/Pool'
          description: Pool that this stake connected to
          type: object
        pools:
          description: >-
            A list of pools that this stake is connected to. Returned if the
            stake is connected to two or more pools
          items:
            $ref: '#/components/schemas/Pool'
          type: array
        requireChillToUnstake:
          description: >-
            For Substrate based. When you want to unstake BONDING stake you
            should chill first
          type: boolean
        stakeAddress:
          description: >-
            The address of a dedicated staking account. Only applies for SOL
            currently.
          type: string
        warning:
          $ref: '#/components/schemas/Warning'
          description: >-
            For Substrate based. When you want to unstake BONDING stake you
            should chill first
          type: object
      required:
        - pendingAmount
        - pendingStakeStatus
      type: object
    Pool:
      properties:
        extra:
          $ref: '#/components/schemas/BlockchainExtra'
          description: Additional information for this staking pool
          type: object
        poolId:
          description: Pool identifier
          type: string
        poolName:
          description: Pool name
          type: string
        totalBonded:
          description: Amount of current all stakes for pool
          type: string
        validatorProviderId:
          description: Validator provider ID matched for this pool (if any)
          type: string
      type: object
    PendingStakeStatus:
      enum:
        - unbonding
        - bonding
        - changing-validator
      type: string
    Warning:
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - message
      type: object
    BlockchainExtra:
      properties:
        netuid:
          description: Network ID
          type: string
        neuronFollowees:
          description: ICP Neuron followees
          items:
            type: string
          type: array
        swapExtra:
          $ref: '#/components/schemas/SwapExtra'
          description: Additional order information related to Swap flow
          type: object
      type: object
    SwapExtra:
      properties: {}
      type: object

````